import React from 'react';

interface CheckboxProps {
  label: string;
  name: string;
  [x: string]: any; // Allow for any other props
}

const Checkbox: React.FC<CheckboxProps> = ({ label, name, ...props }) => {
  return (
    <div className="form-check mb-10">
      <input
        id={name}
        name={name}
        type="checkbox"
        className="form-check-input"
        {...props}
      />
      <label htmlFor={name} className="form-check-label">
        {label}
      </label>
    </div>
  );
};

export default Checkbox;
